| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Read/Write of Primitive Data Types (EFM32GG)
Read/Write of Primitive Data Types

Endpoint primitive read/write definitions for the Silabs EFM32 Giant Gecko architecture. More...

## Functions
static INLINENON void | Endpoint_Discard_16 (void) ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Discard_32 (void) ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Discard_8 (void) ATTR_ALWAYS_INLINE2
static INLINENON uint16_t | Endpoint_Read_16_BE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE2
static INLINENON uint16_t | Endpoint_Read_16_LE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE2
static INLINENON uint32_t | Endpoint_Read_32_BE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE2
static INLINENON uint32_t | Endpoint_Read_32_LE (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE2
static INLINENON uint8_t | Endpoint_Read_8 (void) ATTR_WARN_UNUSED_RESULT ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Write_16_BE (const uint16_t Data) ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Write_16_LE (const uint16_t Data) ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Write_32_BE (const uint32_t Data) ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Write_32_LE (const uint32_t Data) ATTR_ALWAYS_INLINE2
static INLINENON void | Endpoint_Write_8 (const uint8_t Data) ATTR_ALWAYS_INLINE2

## Detailed Description

Functions, macros, variables, enums and types related to data reading and writing of primitive data types from and to endpoints.

## Function Documentation

static INLINENON void Endpoint_Discard_16 | ( | void |  | ) |
| static

Discards two bytes from the currently selected endpoint's bank, for OUT direction endpoints.

static INLINENON void Endpoint_Discard_32 | ( | void |  | ) |
| static

Discards four bytes from the currently selected endpoint's bank, for OUT direction endpoints.

static INLINENON void Endpoint_Discard_8 | ( | void |  | ) |
| static

Discards one byte from the currently selected endpoint's bank, for OUT direction endpoints.

static INLINENON uint16_t Endpoint_Read_16_BE | ( | void |  | ) |
| static

Reads two bytes from the currently selected endpoint's bank in big endian format, for OUT direction endpoints.

Returns
  Next two bytes in the currently selected endpoint's FIFO buffer.

static INLINENON uint16_t Endpoint_Read_16_LE | ( | void |  | ) |
| static

Reads two bytes from the currently selected endpoint's bank in little endian format, for OUT direction endpoints.

Returns
  Next two bytes in the currently selected endpoint's FIFO buffer.

static INLINENON uint32_t Endpoint_Read_32_BE | ( | void |  | ) |
| static

Reads four bytes from the currently selected endpoint's bank in big endian format, for OUT direction endpoints.

Returns
  Next four bytes in the currently selected endpoint's FIFO buffer.

static INLINENON uint32_t Endpoint_Read_32_LE | ( | void |  | ) |
| static

Reads four bytes from the currently selected endpoint's bank in little endian format, for OUT direction endpoints.

Returns
  Next four bytes in the currently selected endpoint's FIFO buffer.

static INLINENON uint8_t Endpoint_Read_8 | ( | void |  | ) |
| static

Reads one byte from the currently selected endpoint's bank, for OUT direction endpoints.

Returns
  Next byte in the currently selected endpoint's FIFO buffer.

static INLINENON void Endpoint_Write_16_BE | ( | const uint16_t | Data | ) |
| static

Writes two bytes to the currently selected endpoint's bank in big endian format, for IN direction endpoints.

Parameters

  [in] | Data | Data to write to the currently selected endpoint's FIFO buffer.

static INLINENON void Endpoint_Write_16_LE | ( | const uint16_t | Data | ) |
| static

Writes two bytes to the currently selected endpoint's bank in little endian format, for IN direction endpoints.

Parameters

  [in] | Data | Data to write to the currently selected endpoint's FIFO buffer.

static INLINENON void Endpoint_Write_32_BE | ( | const uint32_t | Data | ) |
| static

Writes four bytes to the currently selected endpoint's bank in big endian format, for IN direction endpoints.

Parameters

  [in] | Data | Data to write to the currently selected endpoint's FIFO buffer.

static INLINENON void Endpoint_Write_32_LE | ( | const uint32_t | Data | ) |
| static

Writes four bytes to the currently selected endpoint's bank in little endian format, for IN direction endpoints.

Parameters

  [in] | Data | Data to write to the currently selected endpoint's FIFO buffer.

static INLINENON void Endpoint_Write_8 | ( | const uint8_t | Data | ) |
| static

Writes one byte to the currently selected endpoint's bank, for IN direction endpoints.

Parameters

  [in] | Data | Data to write into the the currently selected endpoint's FIFO buffer.